Subject: Re: [PATCH 2.6] dev.c: clear SIOCGIFHWADDR buffer if !dev->addr_len

From: Matt Domsch <[email-masked]>
Date: Wed, 3 Nov 2004 21:42:42 -0600

On Wed, Nov 03, 2004 at 04:07:27PM -0800, David S. Miller wrote:
> On Tue, 2 Nov 2004 09:06:44 +1100
> Herbert Xu <[email-masked]> wrote:
> 
> > On Mon, Nov 01, 2004 at 03:59:44PM -0600, Matt Domsch wrote:
> > > 
> > > Actually, -EOVERFLOW appears throughout the kernel.  A couple examples:
> > 
> > I agree.  Please disregard my comment re ERANGE.
> 
> I think there is nothing wrong with clearing out the buffer
> for the !dev->addr_len case.  This is not to say that what
> the apps are doing is correct or not, it merely preserves
> 2.4.x behavior which was changed unintentionally.
> 
> I'm going to apply Matt's patch which began this thread.

If it's all the same to you, I prefer the last version.  If you want
to remove the net_ratelimited printk, that would be fine too.  Either
way the apps will work as expected again.

Thanks,
Matt

-- 
Matt Domsch
Sr. Software Engineer, Lead Engineer
Dell Linux Solutions linux.dell.com & www.dell.com/linux
Linux on Dell mailing lists @ http://lists.us.dell.com